¿Por qué los plugins de Java, Silverlight y Adobe Acrobat, entre otros, ya no funcionan?

En marzo de 2017, cuando se lance la versión 52 de Firefox dejaremos de dar asistencia a los plugins NPAPI en Firefox, a excepción de Adobe Flash.A partir de la versión 52 de Firefox, se dejó de dar asistencia a los plugins NPAPI en Firefox, a excepción de Adobe Flash. Algunos de los plugins que no se volverán a cargar son los de Java, Microsoft Silverlight y Adobe Acrobat. Para más detalles, consulta este documento de compatibilidad.

En los últimos años, Firefox ha implementado varias APIs web para que las páginas web pudieran hacer lo mismo que han venido haciendo, pero sin plugins, por lo que seguramente no notarás ningún cambio mientras navegas.

¿Por qué deja de dar soporte Firefox?

Internet está lleno de páginas web que ya no son meramente estáticas, porque incluyen videos, sonidos y juegos. Los plugins NPAPI, especialmente Flash, han ayudado a activar esas páginas interactivas. Pero también ralentizan tu navegador, lo hacen menos seguro y con más probabilidades de fallos.

En los últimos años, Firefox ha estado trabajando para buscar una alternativa a estos plugins. En conjunto se les denomina APIs web. Están diseñados para reemplazar la función de esos plugins sin mermar tu seguridad en línea, estabilidad y rendimiento del navegador.

Antes de que esos APIs web estuvieran totalmente listas, Firefox inició la transición haciendo que los plugins se cargaran de forma manual. (Haz clic aquí para activar esa opción).

A día de hoy, están completamente listos. Muchas páginas los han adoptado y ya puedes disfrutar de la mayoría de tus sitios favoritos sin tener que usar plugins antiguos y poco seguros. Fifefox se ha unido a otros navegadores actuales, como Google Chrome y Microsoft Edge para suprimir el soporte a esos plugins NPAPI.

Tengo algunos problemas

Si aún no estás listo para aceptar esa transición, la versión ESR (Extended Support Release) 52 de Firefox seguirá admitiendo estos plugins hasta principios de 2018. Para descargar Firefox ESR, haz clic aquí.

Importante: La versión 52 ESR de Firefox para la versión 64-bit de Windows solo admite los plugins de Adobe Flash y Microsoft Silverlight. Si necesitas el plugin de Java o de cualquier otro proveedor, descarga la versión 32-bit de Windows.

De forma predeterminada, Firefox 52 ESR utlizará la misma información de perfil del usuario que en otras versiones de Firefox. Si instalas Firefox 52 ESR tras haber utilizado la versión 55 de Firefox o superiores, puede que te aparezcan algunos problemas, como mensajes de error, partes de Firefox que no funcionen bien o problemas con algunas páginas web. Deberías crear un nuevo perfil que utilizarías con Firefox 52 ESR o restablecer Firefox tras instalar Firefox 52 ESR.

¿Te resultó útil este artículo? Espera por favor...

Esta gente maravillosa ayudó a escribir este artículo: avelper. Tú también puedes ayudar, descubre cómo hacerlo.